## org.apache.catalina.ant
Class ReloadTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.ReloadTask

All Implemented Interfaces:
  java.lang.Cloneable

public class ReloadTask
extends AbstractCatalinaTask

Ant task that implements the `/reload` command, supported by the Tomcat manager application.

Since:
  4.1
Version:
  $Revision: 466595 $ $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` `path` The context path of the web application we are managing.

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ReloadTask()`

Method Summary
`void` `execute()` Execute the requested operation.
`java.lang.String` `getPath()`
`void` `setPath(java.lang.String path)`

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    protected java.lang.String path

  The context path of the web application we are managing.

Constructor Detail

### ReloadTask

    public ReloadTask()

Method Detail

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.